<?xml version='1.0' encoding='utf-8'?>
<ComicInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Title>Prog 2328</Title>
  <Series>2000 AD</Series>
  <Number>2328</Number>
  <Summary>Allow me to introduce myself — I am The Mighty Tharg, alien editor extraordinaire of the GGC!

‘The GGC?’ those Terrans unfamiliar with the term may be asking themselves. ‘What’s that, then? Gross Green Crustaceans?’ Not at all, my Squaxx (and I’ll ignore the implied insult, for now) — it stands for the Galaxy’s Greatest Comic, for this truly is the most Thrill-powered publication in the cosmos.

Just take a look at the contents and you’ll be hard-pressed to disagree — we’ve got the latest zarjaz instalments of Rogue Trooper, Durham Red, and Enemy Earth, the penultimate episode of The Order, and the start of a scrotnig new Judge Dredd thriller from the Niemand and Googe droids.

Cover: John McCrea

Judge Dredd - The Disciples of Death (Part 1) (Ken Niemand - Neil Googe)
Mega-City One, 2145 AD. Home to over 200 million citizens, this urban hell is situated along the east coast of post-apocalyptic North America, with the poisoned Black Atlantic on one side and the irradiated Cursed Earth to the west. Crime is rampant, and only future cops the Judges — empowered to dispense instant justice — can stop total anarchy. Toughest of them all is JUDGE DREDD — he is the Law!

Durham Red - Mad Dogs (Part 3) (Alec Worley - Ben Willsher)
Late 22nd century. Of all the mutants that have operated as Search/Destroy agents, perhaps the most feared is vampire DURHAM RED, who requires blood to survive. Mistrusted by both the criminals she hunts and her fellow Strontium Dogs, Red has a formidable reputation that precedes her. Now, after the events on the Hawks Carpenter Holding Station, she’s in custody...

The Order - Heart of Darkness (Part 11) (Kek-W - John Burns)
Throughout history, mankind has been under threat of extermination by the Wurms, creatures that break into our reality. Defending humanity are THE ORDER, a band of warriors that have fought the entities across the centuries. But time has become fractured, and the despotic Francis Bacon is determined to rule a vast empire. Now, The Order must battle the shadow-creatures at the edge of time itself...

Enemy Earth - Book Two (Part 3) (Cavan Scott - Luke Horsman)
The near future. Mother Nature has turned against the people that live upon the Earth’s surface. Now, the planet’s flora and fauna have mutated and are viciously attacking humanity. As society crumbles, and survivors seek safety, young Zoe, who has lost her own family, has rescued Jules, who’s the prime minister’s son. Now, the pair are travelling to Scotland, where they believe they’ll find the PM...

Rogue Trooper - Blighty Valley (Part 3) (Garth Ennis - Patrick Goddard)
Nu Earth, site of a galactic war between the Norts and the Southers, where use of chemical weapons has rendered the atmosphere toxic. So the Southers created the Genetic Infantrymen, bred to be immune to the planet’s lethal cocktail of pollutants — G.I.s like ROGUE TROOPER, the last of his kind. Together with biochip buddies Helm, Gunnar and Bagman, they’re searching for the traitor that sold them out...</Summary>
  <Notes>Tagged with ComicTagger 1.6.0a0 using info from Comic Vine on 2023-07-24 20:27:18.  [Issue ID 984514]</Notes>
  <Year>2023</Year>
  <Month>4</Month>
  <Day>19</Day>
  <Writer>Alec Worley, Cavan Scott, Garth Ennis, Kek-W, Kenneth Niemand</Writer>
  <Penciller>Ben Willsher, John Burns, Luke Horsman, Neil Googe, Patrick Goddard</Penciller>
  <Inker>Ben Willsher, John Burns, Luke Horsman, Neil Googe, Patrick Goddard</Inker>
  <Colorist>Gary Caldwell, Michael Spicer</Colorist>
  <Letterer>Annie Parkhouse, Jim Campbell, Rob Steen, Simon Bowland</Letterer>
  <CoverArtist>John McCrea, Michael Spicer</CoverArtist>
  <Publisher>Rebellion</Publisher>
  <Web>https://comicvine.gamespot.com/2000-ad-2328-prog-2328/4000-984514/</Web>
  <PageCount>32</PageCount>
  <Characters>Bagman, Durham Red, Gunnar, Helm, Judge Dredd, Rogue Trooper</Characters>
  <Pages />
</ComicInfo>